/* 
 * $Id: fpgaedit.c 13 2004-10-04 17:14:37Z rsc $
 * 
 */

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>

extern int errno;
extern int yyparse();

#include "config.h"
#include "fpgaedit_parser.h"
    
int debug = 0;
FILE *fhan = NULL;

int main (int argc, char *argv[])
{
	struct arg_t *kom_arg;

	kom_arg = Cmdline (argc, argv);

	printf("\nfpgaedit - quick change of FPGA content\n");
	printf("Copyright (C) 2004 by Pengutronix\n");
	printf("Please enter 'help' for a list of commands. \n\n");
	
	if (kom_arg->v)
	{
		printf ("%s: version %s\n", argv[0], PACKAGE_VERSION);
		return EXIT_FAILURE;
	}
	
	debug = kom_arg->V; 
	
	if (kom_arg->optind) 
	{
		fhan = fopen(argv[kom_arg->optind], "r+");
		if (!fhan) printf ("opening \"%s\" failed\n%s\n", 
				   argv[kom_arg->optind], strerror(errno));
	}
		
	yyparse ();
	
	return EXIT_SUCCESS;
}

void yyerror (const char *s)  /* Called by yyparse on error */
{
	printf ("%s\n", s);
}
